Bug 61879 - sensors-detect gets Illegal hexadecimal digit errors when starting.
sensors-detect gets Illegal hexadecimal digit errors when starting.
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: lm_sensors (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-25 10:08 EST by jjm
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-28 10:45:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jjm 2002-03-25 10:08:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020319

Description of problem:
sensors-detect
Illegal hexadecimal digit 'n' ignored at /usr/sbin/sensors-detect line 801,
<INPUTFILE> line 3.  
It is trying to parse the device names ie ns83890 as hex digits.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run sensors-detect on a skipjack machine.
2.
3.
	

Actual Results:  Illegal hexadecimal digit 'n' ignored at
/usr/sbin/sensors-detect line 801, <INPUTFILE> line 3.
Illegal hexadecimal digit 't' ignored at /usr/sbin/sensors-detect line 801,
<INPUTFILE> line 4.
Illegal hexadecimal digit 'u' ignored at /usr/sbin/sensors-detect line 801,
<INPUTFILE> line 9.
Illegal hexadecimal digit 'u' ignored at /usr/sbin/sensors-detect line 801,
<INPUTFILE> line 10.
Illegal hexadecimal digit 'u' ignored at /usr/sbin/sensors-detect line 801,
<INPUTFILE> line 11.
Illegal hexadecimal digit 'v' ignored at /usr/sbin/sensors-detect line 801,
<INPUTFILE> line 12.


Additional info:

contents of /proc/bus/pci/devices
0000    11063099        0       e8000008        00000000        00000000       
00000000        00000000        00000000        00000000        04000000       
00000000        00000000   00000000        00000000        00000000        00000000
0008    1106b099        0       00000000        00000000        00000000       
00000000        00000000        00000000        00000000        00000000       
00000000        00000000   00000000        00000000        00000000        00000000
0050    100b0022        5       00009001        ef021000        00000000       
00000000        00000000        00000000        00000000        00000100       
00001000        00000000   00000000        00000000        00000000       
00010000        ns83820
0058    10ec8139        c       00009401        ef020000        00000000       
00000000        00000000        00000000        00000000        00000100       
00000100        00000000   00000000        00000000        00000000       
00000000        8139too
0068    105a0d30        a       00001801        00009c01        00001001       
0000a401        0000a801        ef000000        00000000        00000008       
00000004        00000008   00000004        00000040        00020000        00010000
0070    13f60111        b       0000ac01        00000000        00000000       
00000000        00000000        00000000        00000000        00000100       
00000000        00000000   00000000        00000000        00000000        00000000
0088    11063074        0       00000000        00000000        00000000       
00000000        00000000        00000000        00000000        00000000       
00000000        00000000   00000000        00000000        00000000        00000000
0089    11060571        0       00000000        00000000        00000000       
00000000        0000b001        00000000        00000000        00000000       
00000000        00000000   00000000        00000010        00000000        00000000
008a    11063038        c       00000000        00000000        00000000       
00000000        0000b401        00000000        00000000        00000000       
00000000        00000000   00000000        00000020        00000000       
00000000        usb-uhci
008b    11063038        c       00000000        00000000        00000000       
00000000        0000b801        00000000        00000000        00000000       
00000000        00000000   00000000        00000020        00000000       
00000000        usb-uhci
008c    11063038        c       00000000        00000000        00000000       
00000000        0000bc01        00000000        00000000        00000000       
00000000        00000000   00000000        00000020        00000000       
00000000        usb-uhci
0090    11063065        b       0000c001        ef022000        00000000       
00000000        00000000        00000000        00000000        00000100       
00000100        00000000   00000000        00000000        00000000       
00000000        via-rhine
0100    10de0110        b       ec000000        e0000008        00000000       
00000000        00000000        00000000        00000000        01000000       
08000000        00000000   00000000        00000000        00000000        00010000
Comment 1 Phil Knirsch 2002-03-26 05:28:08 EST
A new version will appear real soon now in rawhide. If you could give that one a
try and check if the problem persits.

Thanks,

Read ya, Phil
Comment 2 jjm 2002-03-28 10:45:47 EST
The new version 2.6.1-1 from rawhide fixes the problem.

Jim
Comment 3 Phil Knirsch 2002-03-28 10:48:09 EST
OK, cool. Closing this bug then as CLOSED->RAWHIDE.

Thanks for testing.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.